Blank cd/dvd not recognized [LUCID]

Bug #561585 reported by SilverWave on 2010-04-12
118
This bug affects 26 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
High
Martin Pitt
Lucid
High
Martin Pitt

Bug Description

Binary package hint: udev

PIONEER DVR-RW 112D (1.21)
Lucid Beta 2 and updates.

Problem: Drive disappears from nautilus and can not be detected by brasero when blank CD loaded.
Can be tricked by having brasero open waiting to burn an ISO.

[75223.876711] cdrom: This disc doesn't have any tracks I recognize!
...
[75224.090470] __ratelimit: 42 callbacks suppressed
----
Note:
[Bug 554433] Re: [LUCID] cd/dvd not recognized
"Martin Pitt to me - Please file new bug reports with "ubuntu-bug" and selecting the storage symptom. Thanks!" Opened new bug as requested.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-20-generic 2.6.32-20.29
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-20.29-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tbw 1532 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdff8000 irq 16'
   Mixer name : 'Realtek ALC882'
   Components : 'HDA:10ec0882,147ba501,00100101'
   Controls : 40
   Simple ctrls : 22
Date: Mon Apr 12 16:16:37 2010
GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
HibernationDevice: RESUME=UUID=3fb7736e-de54-4b7e-909c-8fab256f2cba
HotplugNewDevices:

HotplugNewMounts:

InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 eth1 no wireless extensions.
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-20-generic root=UUID=d41db88b-3853-4516-8dbf-f71b7c99d5e7 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.33
RfKill:

SourcePackage: linux
Symptom: storage
UdevMonitorLog:
 monitor will print the received events for:
 UDEV - the event which udev sends out after rule processing
UdisksMonitorLog: Monitoring activity from the disks daemon. Press Ctrl+C to cancel.
dmi.bios.date: 04/18/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: AW9D-MAX (Intel i975-ICH7)
dmi.board.vendor: http://www.abit.com.tw/
dmi.board.version: 1.0
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd04/18/2007:svn:pn:pvr:rvnhttp//www.abit.com.tw/:rnAW9D-MAX(Inteli975-ICH7):rvr1.0:cvn:ct3:cvr:

SilverWave (silverwave) wrote :
SilverWave (silverwave) on 2010-04-12
Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
jocko (jomnal00) wrote :

Same problem here. I reported it as #561602 before I found this report, so I marked mine as a duplicate of this one.
https://bugs.launchpad.net/ubuntu/+source/udev/+bug/561602

Martin Pitt (pitti) wrote :

1) Hm, did you actually insert a CD when the bug filing process asked to insert the affected device? The monitors did not pick up anything.

2) Can you please copy&paste the output of

   sudo /lib/udev/cdrom_id /dev/sr0

once when there is no CD in the drive, and once after inserting an empty one?

3) Do you remember when this misbehaviour started? Did it still work in alpha-1, i. e. did this break only recently, or has it been like that through out lucid? If it broke only recently, it might be a similar cause like bug 559723 (just the inverse effect).

If it broke only recently, can you try downgrading udev by installing https://launchpad.net/ubuntu/+source/udev/151-5/+build/1514097/+files/udev_151-5_amd64.deb ?

Thanks!

Changed in udev (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
status: New → Incomplete
jocko (jomnal00) wrote :

Here's my output, hope it will help you fix this bug.
With no disk in the drive:
jocko@jocko-desktop:~$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_RAM=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1

With a blank cd-r disk in the drive:
jocko@jocko-desktop:~$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_RAM=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1

And YES, downgrading udev to 151-5 fixes the problem for me, and the output of the above command with a blank disk changes to:
jocko@jocko-desktop:~/Hämtningar$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_RAM=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1
ID_CDROM_MEDIA_STATE=blank
ID_CDROM_MEDIA_SESSION_NEXT=1
ID_CDROM_MEDIA_SESSION_COUNT=1
ID_CDROM_MEDIA_TRACK_COUNT=1

SilverWave (silverwave) wrote :

>1) Hm, did you actually insert a CD when the bug filing process asked to insert the affected device? The monitors did not pick up anything.

Yes.

>2) Can you please copy&paste the output of sudo /lib/udev/cdrom_id /dev/sr0

As requested:

:~$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
tbw@helium:~$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1
:~$

dmesg:

[ 4109.816420] sr 0:0:0:0: [sr0] Unhandled sense code
[ 4109.816423] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 4109.816427] sr 0:0:0:0: [sr0] Sense Key : Blank Check [current]
[ 4109.816432] sr 0:0:0:0: [sr0] Add. Sense: No additional sense information
[ 4109.816437] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 4109.816447] end_request: I/O error, dev sr0, sector 0
[ 7913.807857] cdrom: This disc doesn't have any tracks I recognize!
[ 7914.050342] sr 0:0:0:0: [sr0] Unhandled sense code
[ 7914.050345] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 7914.050350] sr 0:0:0:0: [sr0] Sense Key : Blank Check [current]
[ 7914.050356] sr 0:0:0:0: [sr0] Add. Sense: No additional sense information
[ 7914.050360] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 7914.050371] end_request: I/O error, dev sr0, sector 0
[ 7914.050375] __ratelimit: 42 callbacks suppressed
[ 7914.050378] Buffer I/O error on device sr0, logical block 0
[ 7914.123007] sr 0:0:0:0: [sr0] Unhandled sense code
[ 7914.123010] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 7914.123014] sr 0:0:0:0: [sr0] Sense Key : Blank Check [current]
[ 7914.123019] sr 0:0:0:0: [sr0] Add. Sense: No additional sense information
[ 7914.123024] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 7914.123034] end_request: I/O error, dev sr0, sector 0
---
3) Do you remember when this misbehaviour started?

I started testing Lucid from Beta 1 so I have burnt the Beta 2 disk from Lucid Beta 1 OK.
However there were other issues at that time (Bug 554433) and I had to manually mount the disk and use K3b.

Thanks.

Changed in udev (Ubuntu):
status: Incomplete → New
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Iiiintersting!

SilverWave, since the cdrom_id output looks so similar to jocko's, I assume that downgrading udev to -5 will fix the behaviour for you as well?

Since this problem does not reproduce on my hardware, I have to annoy you some more, I'm afraid. Can you please do

    sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id /dev/sr0

with the current lucid udev version (151-8), then downgrade to 151-5, and do

   sudo strace -vvfo /tmp/cdrom_id_old.trace -s 1024 /lib/udev/cdrom_id /dev/sr0

and then attach /tmp/cdrom_id_old.trace and /tmp/cdrom_id_new.trace ?

Alternatively, ssh access to an affected box would be the debugging luxury for me, of course. :-) (https://launchpad.net/~pitti/+sshkeys , martin@tick)

Thanks!

Changed in udev (Ubuntu):
status: New → Incomplete
importance: Undecided → High
Lucio M Nicolosi (lmnicolosi) wrote :

Same stuff here w/ similar hw and sw.

SilverWave (silverwave) wrote :

> Can you try downgrading udev by installing https://launchpad.net/ubuntu/+source/udev/151-5/+build/1514097/+files/udev_151-5_amd64.deb ?

That worked :-)

I'll provide the other stuff asap

SilverWave (silverwave) wrote :

>then downgrade to 151-5, and do

   sudo strace -vvfo /tmp/cdrom_id_old.trace -s 1024 /lib/udev/cdrom_id /dev/sr0

Have to wait to upgrade doing a fsck atm.

jocko (jomnal00) wrote :

In case it helps, here's my strace output. I named the files according to which udev version I had installed to avoid confusion.

jocko (jomnal00) wrote :
SilverWave (silverwave) wrote :

>sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id /dev/sr0

>with the current lucid udev version (151-8),

Changed in udev (Ubuntu):
status: Incomplete → New
NoOp (glgxg) wrote :

Same issue on my 64bit - 32bit working. My dmesg might help? strace attached.

 apt-cache policy udev
udev:
  Installed: 151-8
  Candidate: 151-8
  Version table:
 *** 151-8 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
$ sudo /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_RAM=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1
$ dmesg | tail
[ 87.989286] Info fld=0x0
[ 87.989289] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 87.989295] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 87.989308] end_request: I/O error, dev sr0, sector 0
[ 87.991559] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 87.991565] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 87.991572] Info fld=0x0
[ 87.991574] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 87.991581] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[ 87.991594] end_request: I/O error, dev sr0, sector 0

SilverWave (silverwave) wrote :

>sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id
/dev/sr0

>with the current lucid udev version (151-8),

rerun with a blank disk in CD.

Brandon Snider (brandonsnider) wrote :

This is also happening on my system (amd64). The drive is a PIONEER DVD-RW DVR-217D, 1.07, max UDMA/66.

No CD:

$ sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1

CD-R:

$ sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id /dev/sr0
[sudo] password for brandon:
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1

dmesg when I put a blank CD-R in the tray:

[250497.400574] sr 2:0:0:0: [sr0] Sense Key : Blank Check [current]
[250497.400579] sr 2:0:0:0: [sr0] Add. Sense: No additional sense information
[250497.400584] sr 2:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
[250497.400594] end_request: I/O error, dev sr0, sector 0
[250497.400599] Buffer I/O error on device sr0, logical block 0
[250497.662885] sr 2:0:0:0: [sr0] Unhandled sense code
[250497.662889] sr 2:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE

That block of text is repeated roughly 52 times.

Martin Pitt (pitti) wrote :

I'll do some notekeeping/braindumping here to keep track of the bug, please feel free to ignore the techno babble in this comment. :-)

So in all the straces and cdrom_id outputs that we have so far, the CD-ROM could be opened and wasn't busy (which was the cause for bug 554433 -- so it's definitively a different problem here). But cdrom_id only saw ID_CDROM_MEDIA_CD_R=1, but no ID_CDROM_MEDIA_STATE at all (which should be "blank").

Output from Silverwave
--------------------------------
The "old" cdrom_id output indeed shows the correct properties, and it has

  2186 ioctl(3, CDROM_DRIVE_STATUS, 0x7fffffff) = 4

4 means "CDS_DISC_OK", i. e. the drive did detect a medium. in the "new" cdrom_id output however, we get

  1938 ioctl(3, CDROM_DRIVE_STATUS, 0x7fffffff) = 1

1 means "CDS_NO_DISC", i. e. the drive did not detect a medium. A race condition seems unlikely, since the command was done well after the medium was inserted.

An interesting discrepancy is also in the capabilities:
old: 2186 ioctl(3, CDROM_GET_CAPABILITY or SNDRV_SEQ_IOCTL_UNSUBSCRIBE_PORT, 0) = 2227183
new: 1938 ioctl(3, CDROM_GET_CAPABILITY or SNDRV_SEQ_IOCTL_UNSUBSCRIBE_PORT, 0) = 3800047

The difference is 0x180000 == CDC_MRW_W || CDC_MRW

This looks fishy, the drive capabilities shouldn't differ between two runs, or be dependent on the media state.

Output from jocko:
-------------------------
Both traces look identical, and by and large like Silverwave's "new" trace. I. e. the output with "old" (-5) was wrong as well, but this doesn't correspond to the output in comment 4.

Martin Pitt (pitti) wrote :

Thanks so far! Now, some questions based on my evaluation of the recent data:

To assert that it's actually udev/linux which is wrong, in all those cases you guys actually had a blank CD media in the drive, right? (Because the straces say the opposite sometimes)

jocko, if you are sure that http://launchpadlibrarian.net/43952779/cdrom_id_151-5.trace is really from -5 (and not from -8), this would prove that the question whether it works or not does not really depend on the particular udev version, but rather that installing a package triggers the change.

Can you try if the cdrom_id output changes if you do

  sudo apt-get install --reinstall udev

? The critical piece what to watch out for is if the cdrom_id /dev/sr0 output contains ID_CDROM_MEDIA_STATE=blank; if it does, things should work.

Also, since you both confirmed that downgrading to -5 works, does it keep working after a few reboots and unloading/reloading the media? Conversely, does -8 consistently fail even after a few reboots and media reloads? The straces seem to indicate that it sometimes works and sometimes not, with the same udev version, so we need to identify a pattern here.

Finally, I just uploaded a new udev version (-9) which fixes a bug in cdrom_id. That bug was pretty much the opposite problem, so I don't expect that it changes the behaviour for this bug here. But since this is odd enough, testing -9 can't hurt.

Thanks!

Martin Pitt (pitti) wrote :

Oh, I just took another look at the code, and indeed I did identify one case where the bug fix in udev 151-9 would also lead to not printing ID_CDROM_MEDIA_STATE=blank. So testing -9 is definitively worth a try!

Changed in udev (Ubuntu Lucid):
status: New → Incomplete
SilverWave (silverwave) wrote :

Quick update in reply to #16 - Martin I noticed the same thing and rerun the trace, you need
http://launchpadlibrarian.net/43959749/cdrom_id_new.trace_b

2153 ioctl(3, CDROM_DRIVE_STATUS, 0x7fffffff) = 4

SilverWave (silverwave) on 2010-04-13
Changed in udev (Ubuntu Lucid):
status: Incomplete → New
SilverWave (silverwave) wrote :

Installed 151-9
https://launchpad.net/ubuntu/+archive/primary/+files/udev_151-9_amd64.deb

I'm assuming a reboot is not required.

SilverWave (silverwave) wrote :
SilverWave (silverwave) wrote :

Just to give you a baseline here is a trace when a non-blank CD is loaded.

Martin Pitt (pitti) wrote :

@SilverWave: trace_b -> ah, thanks; I'm glad that things are not _that_ broken then :-)

I just found a rather general problem in cdrom_id, which produces garbage in a lot of cases. I applied a fix in my PPA. Can you please upgrade to this version with

    sudo add-apt-repository ppa:pitti/ppa
    sudo apt-get update
    sudo apt-get install udev

This should install udev version 151-9pitti2. Can you please try with that one? If it's still broken, please provide an strace again, as well as the output of

  sudo /lib/udev/cdrom_id -d /dev/sr0

(the -d will print some additional debugging information). Thank you!

9pitti2 fixes the issue for me Martin:

$ sudo strace -vvfo /tmp/cdrom_id_new.trace -s 1024 /lib/udev/cdrom_id
/dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1
ID_CDROM_MEDIA_STATE=blank
ID_CDROM_MEDIA_SESSION_NEXT=1
ID_CDROM_MEDIA_SESSION_COUNT=1
ID_CDROM_MEDIA_TRACK_COUNT=1

Blank CD icon now appears on the desktop too.

On Tue, Apr 13, 2010 at 8:45 AM, Martin Pitt <email address hidden> wrote:

> @SilverWave: trace_b -> ah, thanks; I'm glad that things are not _that_
> broken then :-)
>
> I just found a rather general problem in cdrom_id, which produces
> garbage in a lot of cases. I applied a fix in my PPA. Can you please
> upgrade to this version with
>
> sudo add-apt-repository ppa:pitti/ppa
> sudo apt-get update
> sudo apt-get install udev
>
> This should install udev version 151-9pitti2. Can you please try with
> that one? If it's still broken, please provide an strace again, as well
> as the output of
>
> sudo /lib/udev/cdrom_id -d /dev/sr0
>
> (the -d will print some additional debugging information). Thank you!
>
> --
> Blank cd/dvd not recognized [LUCID]
> https://bugs.launchpad.net/bugs/561585
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-- Brandon J. Snider

Chris Martin (chris-martin-cc) wrote :

Martin.. I have been experiencing the same problem. And having stumbled upon this post, I have applied you lattest patch and I fixes my issue. I will post the trace etc as soon as My CD burn has finished.

Matt Zimmerman (mdz) on 2010-04-13
Changed in udev (Ubuntu Lucid):
status: New → In Progress
Martin Pitt (pitti) wrote :
Changed in udev (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-10

---------------
udev (151-10) lucid; urgency=low

  * cdrom_id: Turns out that some ioctls do not actually touch the result
    buffer in some cases, so we need to zero the result buffers to avoid
    interpreting random da CD properties. (LP: #559723, LP: #561585) Patch
    also committed to upstream (2b861)
 -- Martin Pitt <email address hidden> Tue, 13 Apr 2010 15:34:40 +0200

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
SilverWave (silverwave) wrote :

sudo /lib/udev/cdrom_id -d /dev/sr0
main: probing: '/dev/sr0'
cd_inquiry: INQUIRY: [PIONEER ][DVD-RW DVR-112D][1.21]
cd_profiles: GET CONFIGURATION: number of profiles 316
cd_profiles: profile 0x2b
cd_profiles: profile 0x1b
cd_profiles: profile 0x1a
cd_profiles: profile 0x16
cd_profiles: profile 0x15
cd_profiles: profile 0x14
cd_profiles: profile 0x13
cd_profiles: profile 0x11
cd_profiles: profile 0x10
cd_profiles: current profile 0x09
cd_media_toc: READ TOC: len: 2
cd_media_info: disk type ff
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_DVD_R=1
ID_CDROM_DVD_RW=1
ID_CDROM_DVD_PLUS_R=1
ID_CDROM_DVD_PLUS_RW=1
ID_CDROM_DVD_PLUS_R_DL=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD_R=1
ID_CDROM_MEDIA_STATE=blank
ID_CDROM_MEDIA_SESSION_NEXT=1
ID_CDROM_MEDIA_SESSION_COUNT=1
ID_CDROM_MEDIA_TRACK_COUNT=1

All fixed - Thanks Martin :-)

jocko (jomnal00) wrote :

"jocko, if you are sure that http://launchpadlibrarian.net/43952779/cdrom_id_151-5.trace is really from -5 (and not from -8), this would prove that the question whether it works or not does not really depend on the particular udev version, but rather that installing a package triggers the change.

Can you try if the cdrom_id output changes if you do

  sudo apt-get install --reinstall udev

? The critical piece what to watch out for is if the cdrom_id /dev/sr0 output contains ID_CDROM_MEDIA_STATE=blank; if it does, things should work."

I think those strace outputs I provided were without any disk in the drive (sorry about that), so they may not have provided the right information...
But I've upgraded from -8 to -10 and it seems to work fine now. IF (and only if) the problem reappears I will get back here with the proper strace output, but I'm pretty sure it's fixed.

Thanks Martin!

FrenchNux (christophe-pauc) wrote :

Blank cd/dvd recognized.... but

[Problem]
The 'Eject' command doesn't show up reliably after a CD has automounted in the cdrom.

[Steps to Reproduce]
1. Insert a blank CD
2. Wait until CD has automounted
3. In the desktop window, right-click and eject command doesn't show

Martin Pitt (pitti) wrote :

FrenchNux [2010-04-13 20:55 -0000]:
> Blank cd/dvd recognized.... but
>
> [Problem]
> The 'Eject' command doesn't show up reliably after a CD has automounted in the cdrom.

This is bug 425104.

earthforce_1 (earthforce1) wrote :

I tried to report a similar bug, (Installing X-Plane 9, but after ejecting the first DVD, the 2nd does not appear on the desktop and is not recognized, even if I attempt to mount via a sudo command on the command line.

When I tried to file a bug with ubuntu-bug, I get:

"The problem cannot be reported: This is not a genuine Ubuntu package".

FrenchNux (christophe-pauc) wrote :

Sorry my english is poor!

[Steps to Reproduce]
1 - erase dvd+rw with brasero
2 - eject it
3 - close disc tray

Symptom
blank DVD+RW appear for 10sec in erase window in brasero after 10sec DVD disappeared.
If i click on erase button when blank DVD+RW is appeared so DVD is mounted on desktop.

Vik (bclarky12) wrote :

sorry, stupid question, how do you downgrade to udev 151-5 , i have 151-11. Thank you for your time, I'm a newbie.

Changed in udev (Ubuntu Lucid):
status: Fix Released → Incomplete
Vik (bclarky12) wrote :

sorry, i changed the status by mistake, didn't mean too, i'm surprised it could be changed so easily, that's strange to me, i have udev 151.11 but still won't mount blank dvd. does fix committed mean it will work in the next beta, sorry for being such an idiot

Changed in udev (Ubuntu Lucid):
status: Incomplete → Fix Committed
Martin Pitt (pitti) on 2010-04-18
Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
mniasfreemag (mniasfreemag) wrote :

Hi,
I have the latest udev package which is udev151-11. It seems the above bug has reappeared or not fixed, when I downgraded to 151-5, my DRVROM and Dvd Burner seem to mount and unmount fine.

mniasfreemag (mniasfreemag) wrote :

hi ,
I think the new version 151 -12 seems to have fixed the problem.
Thanks

Lucio M Nicolosi (lmnicolosi) wrote :
Download full text (3.5 KiB)

Please clarify if this is the way it should work in Lucid.

After waiting for a patched udev release I'm currently running udev 151-12 on Lucid amd64 beta2 up to date.

from my fstab, (same as Karmic): /dev/sr0 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0

Two devices connected to the IDE port:

    dvd r/w: /dev/sr1
    legacy zipdrive: /media/ntfs-1 (not listed in fstab)

When media is inserted at zipdrive no auto mounting occurs although media can be seen at Places/Computer and root mounted from there.

from syslog:

Apr 19 09:20:31 lm-xfx kernel: [61326.651464] sd 0:0:1:0: [sda] Spinning up disk.....
Apr 19 09:20:34 lm-xfx kernel: [61332.648035] sd 0:0:1:0: [sda] Spinning up disk......ready
Apr 19 09:20:34 lm-xfx kernel: [61335.674224] sd 0:0:1:0: [sda] READ CAPACITY(16) failed
Apr 19 09:20:34 lm-xfx kernel: [61335.674231] sd 0:0:1:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Apr 19 09:20:34 lm-xfx kernel: [61335.674239] sd 0:0:1:0: [sda] Sense not available.
Apr 19 09:20:34 lm-xfx kernel: [61335.675155] sd 0:0:1:0: [sda] 196576 512-byte logical blocks: (100 MB/95.9 MiB)
Apr 19 09:20:34 lm-xfx kernel: [61335.685737] sd 0:0:1:0: [sda] READ CAPACITY(16) failed
Apr 19 09:20:34 lm-xfx kernel: [61335.685746] sd 0:0:1:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Apr 19 09:20:34 lm-xfx kernel: [61335.685753] sd 0:0:1:0: [sda] Sense not available.
Apr 19 09:20:34 lm-xfx kernel: [61335.697501] sda: unknown partition table

When a written CD is inserted, its icon becomes available at "Places". Different from Karmic, the icon has to be clicked to mount it.

When a blank CD is inserted, the same happens, the icon becomes available but as empty CD, it cannot be mounted, although (it seems) it can be accessed by a CD burning application.

If I try to mount a blank CD the following error is displayed:

Unable to mount cdrom0

mount: block device /dev/sr0 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sr0,
missing codepage or helper program, or other error
(could this be the IDE device where you in fact use
ide-scsi so that sr0 or sda or so is needed?)
In some cases useful info is found in syslog - try
dmesg | tail or so

From syslog (partial):

Apr 19 08:55:24 lm-xfx kernel: [59826.067516] cdrom: This disc doesn't have any tracks I recognize!
Apr 19 08:55:24 lm-xfx kernel: [59826.075988] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Apr 19 08:55:24 lm-xfx kernel: [59826.076000] sr 0:0:0:0: [sr0] Sense Key : Illegal Request [current]
Apr 19 08:55:24 lm-xfx kernel: [59826.076010] sr 0:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Apr 19 08:55:24 lm-xfx kernel: [59826.076025] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
Apr 19 08:55:24 lm-xfx kernel: [59826.076041] end_request: I/O error, dev sr0, sector 0
Apr 19 08:55:24 lm-xfx kernel: [59826.076049] __ratelimit: 40 callbacks suppressed
Apr 19 08:55:24 lm-xfx kernel: [59826.076054] Buffer I/O error on device sr0, logical block 0
Apr 19 08:55:24 lm-xfx kernel: [59826.078225] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Apr 19 08:55:24 lm-xfx kern...

Read more...

Lucio M Nicolosi (lmnicolosi) wrote :

In the previous posting instead of:

    Two devices connected to the IDE port:
    dvd r/w: /dev/sr1

please understand:

    Two devices connected to the IDE port:
    dvd r/w: /dev/sr0

Lucio M Nicolosi (lmnicolosi) wrote :

Re: karmic

Checked the same hw configuration in Karmic:

zipdrive (no fstab entry) and cd, both auto mounts w/ proper user rights as soon as media is inserted.

Martin Pitt (pitti) wrote :

@Lucio: you cannot "mount" empty CDs, since they have no file systems. But of course you can burn data on it, if you see the "empty CD" icon on the desktop, things seem to work.

Lucio M Nicolosi (lmnicolosi) wrote :

Martin,

All updates but nothing at all on the Lucid desktop, no CD, no Zip, that's the problem.

Of course it can be worked out, but I'm beginning to miss Karmic :-).

OberonKing (oberonking) wrote :

in my case can't mount any blank cd/dvd... and the written take a minute or so to mount.
My device are a LG - SATA2 (HL-DT-ST DVD-RAM GH22NS30)

the log keep saying end_request: I/O error, dev sr0, sector x (x variable)

The udev package are the 151-12 that comes with lucid

If try to downgrade it to 151-5, like you'll said, I can't (says me that I have an newest version) and if I try to uninstall it.. well, guest what.... that's uninstall the system entirely.

I try to reinstall udev and nothing happens.....

that thing of not use hal any more make me anger a lot... there's some things that works fine on earlier versions that not work for my any more. (tablet, IPOD shuffle, dvd writer... and who knows something else)

Please... how change something if you are not certainly if all work with it?

Vik (bclarky12) wrote :

@OberonKing -- use Mandriva, you're LG Burner will work perfectly.

OberonKing (oberonking) wrote :

it's sad read this... but i'm thinking about this (Mandriva or another) but I use Ubuntu since Warty and it's a shame to leave it because of this.

Lucio M Nicolosi (lmnicolosi) wrote :

On the other hand:

Everything is working fine for me right now.

LG-DVD RW GH22NP20 ATA & blank CD & ATA Zip drive 100 Mb, all behave as expected.

Release 10.04 Lucid AMD64 (stable), Kernel 6.6.32.22-generic, udev 151.12.

Tks Martin Pitt & Ubuntu Team.

Vik (bclarky12) wrote :

So you're suggesting he buy the ns30 dvd drive. Its cheaper to just dual boot or switch to mandriva, but thanks for your efforts in development. Mandriva will work

Lucio M Nicolosi (lmnicolosi) wrote :

@Vik

I'm not suggesting anything, I just stated that Lucid stable/udev 151.12 worked for my hardware, after reporting (high above) to the developers (which I'm not) that this bug affected me. I think that after my complaints, the developers deserve to know.

Jethro10 (jethro10) wrote :

I.m kinda lost here.
Is this considered fixed and released?
It's just that for me, it's still broken.

thanks
Jeff

Changed in udev (Ubuntu):
status: Fix Released → In Progress
Changed in udev (Ubuntu Lucid):
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

The root cause for this particular bug was fixed in lucid. If you still have this problem, can you please report a new one with "ubuntu-bug storage"? Please let me know the new bug number here, so that I can followup immediately. Thanks!

Changed in udev (Ubuntu):
status: In Progress → Fix Released
Changed in udev (Ubuntu Lucid):
status: In Progress → Fix Released
Amatriain (geralt) wrote :

I'm still experiencing this problem.

I created a bug with ubuntu-bug, here:

https://bugs.launchpad.net/ubuntu/+bug/581925

Stephen Irons (stephen-irons) wrote :

I am experiencing this problem with udev 151-12. I have not tested with previous versions.

My bug is different from the one reported by Aatriain above.

lp:592030

Bernard Decock (decockbernard) wrote :

I have (another? or the same?) problem regarding a blank cd ( https://bugs.launchpad.net/ubuntu/+source/udev/+bug/602862 ) . in my case the blank cd is mounted properly but nautilus reports no free space on the cd. (Empty-cd-icon pops up -> properties :
free space = 0 ??? used space = 0

lshal reports however that volume.disc.capacity = 735051776 (0x2bd00000) (uint64)

dmesg:

Jul 16 17:43:12 Ubuntu-Bernard kernel: [ 81.971591] sr 1:0:1:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jul 16 17:43:12 Ubuntu-Bernard kernel: [ 81.971601] sr 1:0:1:0: [sr1] Sense Key : Illegal Request [current]
Jul 16 17:43:12 Ubuntu-Bernard kernel: [ 81.971608] sr 1:0:1:0: [sr1] Add. Sense: Logical block address out of range
Jul 16 17:43:12 Ubuntu-Bernard kernel: [ 81.971619] sr 1:0:1:0: [sr1] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
Jul 16 17:43:12 Ubuntu-Bernard kernel: [ 81.974110] sr 1:0:1:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE

I have udev version 151-12.

This problem did occur after installing the regular ubuntu-upgrades => can't burn cd's anylonger (brasero reports that there is
no space on the cd).

To post a comment you must log in.